use std::{path::PathBuf, sync::Arc};

use super::release_manager::models::ArtifactID;

pub mod extensions;

#[derive(Clone)]
pub struct DomainEvents {}

#[cfg(test)]
use mockall::{automock, mock, predicate::*};

#[cfg_attr(test, automock)]
impl DomainEvents {
    pub fn new() -> Self {
        Self {}
    }

    pub async fn publish_event(&self, event: &str) -> anyhow::Result<()> {
        tracing::trace!("publish events: {}", event);

        Ok(())
    }
}
